Subject: Re: bug#73862: [PATCH] Add `header-line-active` and `header-line-inactive` faces.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Dec 2024 08:22:18 +0200

> From: Aaron Jensen <[email-masked]>
> Date: Wed, 4 Dec 2024 19:06:26 -0800
> Cc: Trevor Murphy <[email-masked]>, Eshel Yaron <[email-masked]>, [email-masked]
> 
>  You were able to reproduce what? I don't think you posted a recipe to reproduce the problem. Please
>  do, if at all possible, preferably starting from "emacs -Q".
> 
> I didn't — I thought I mentioned that. I had intended to provide one as soon as I had a chance to, but it turns
> out that Eshel encountered the same issue and provided a recipe (thank you, Eshel). The only difference in
> my case is that face-remap-set-base is used, rather than face-remap-add-relative.
> 
> As far as I can tell, this same bug occurs in the mode-line as well as the header-line. I.e., there was an
> existing bug in the mode-line and it was replicated to the header-line after the two new faces were added.

If what you see is the same as Eshel, I will ask you the same
question: shouldn't you apply face-remapping to the 2 new faces
instead of the 'header-line' face from which they both inherit?
What happens if you do define remapping for those two new faces?